/****************************************************************
 * Copyright (C)2000 - Just van den Broecke - See license below *
 ****************************************************************/

package nl.justobjects.xbook;

/**
 * Version info class.
 *
 * <h3>Purpose</h3>
 *
 * @author Just van den Broecke
 * @version $Id: Version.java,v 1.1 2003/11/19 15:12:09 just Exp $
 */

public class Version {
	/** Version info extracted from the .jar manifest file (see build.xml).. */
	public static String BUILD_DATE = "";
	public static String SOFTWARE_VERSION = "";

	static {
		try {
		BUILD_DATE = Version.class.getPackage().getImplementationVersion();
		SOFTWARE_VERSION = Version.class.getPackage().getSpecificationVersion();
		} catch (Throwable ignore) {
			   BUILD_DATE = "unknown err=" + ignore;
				SOFTWARE_VERSION = "unknown";
		}
	}
}

/*
 * $Log: Version.java,v $
 * Revision 1.1  2003/11/19 15:12:09  just
 * many changes for invoking xbook in ant
 *
 * Revision 1.2  2003/10/10 20:35:47  justb
 * no real changes
 *
 * Revision 1.1.1.1  2003/07/10 14:28:50  justb
 * no message
 *
 *
 */

/*
	Copyright (C)2000 Just A. van den Broecke <just@justobjects.nl>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/